Package org.apache.sling.servlets.resolver.internal.bundle

# Class RequestWrapper

java.lang.Object
jakarta.servlet.ServletRequestWrapper
jakarta.servlet.http.HttpServletRequestWrapper
org.apache.sling.api.wrappers.SlingJakartaHttpServletRequestWrapper
org.apache.sling.servlets.resolver.internal.bundle.RequestWrapper

All Implemented Interfaces:
  `jakarta.servlet.http.HttpServletRequest`, `jakarta.servlet.ServletRequest`, `org.apache.sling.api.adapter.Adaptable`, `org.apache.sling.api.SlingJakartaHttpServletRequest`

public class RequestWrapper extends org.apache.sling.api.wrappers.SlingJakartaHttpServletRequestWrapper

## Field Summary

### Fields inherited from interface jakarta.servlet.http.HttpServletRequest

`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

## Constructor Summary

Constructors
Constructor
Description
`RequestWrapper(org.apache.sling.api.SlingJakartaHttpServletRequest wrappedRequest, Set<org.apache.sling.api.resource.type.ResourceType> wiredResourceTypes)`

## Method Summary

Modifier and Type
Method
Description
`jakarta.servlet.RequestDispatcher`
`getRequestDispatcher(String path, org.apache.sling.api.request.RequestDispatcherOptions options)`
`jakarta.servlet.RequestDispatcher`
`getRequestDispatcher(org.apache.sling.api.resource.Resource resource, org.apache.sling.api.request.RequestDispatcherOptions options)`

### Methods inherited from class org.apache.sling.api.wrappers.SlingJakartaHttpServletRequestWrapper

`adaptTo, getCookie, getRequestDispatcher, getRequestParameter, getRequestParameterList, getRequestParameterMap, getRequestParameters, getRequestPathInfo, getRequestProgressTracker, getResource, getResourceBundle, getResourceBundle, getResourceResolver, getResponseContentType, getResponseContentTypes, getSlingRequest`

### Methods inherited from class jakarta.servlet.http.HttpServletRequestWrapper

`authenticate, changeSessionId, getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getHttpServletMapping, getIntHeader, getMethod, getPart, getParts, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getTrailerFields, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isTrailerFieldsReady, isUserInRole, login, logout, newPushBuilder, upgrade`

### Methods inherited from class jakarta.servlet.ServletRequestWrapper

`getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentLengthLong, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getProtocolRequestId, getReader, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getRequestId, getScheme, getServerName, getServerPort, getServletConnection, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, isWrapperFor, isWrapperFor, removeAttribute, setAttribute, setCharacterEncoding, setCharacterEncoding, setRequest, startAsync, startAsync`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jakarta.servlet.http.HttpServletRequest

`authenticate, changeSessionId, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getHttpServletMapping, getIntHeader, getMethod, getPart, getParts, getPathInfo, getPathTranslated, getQueryString, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getTrailerFields, isRequestedSessionIdFromCookie, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isTrailerFieldsReady, isUserInRole, login, logout, newPushBuilder, upgrade`

### Methods inherited from interface jakarta.servlet.ServletRequest

`getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentLengthLong, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getProtocolRequestId, getReader, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getRequestId, getScheme, getServerName, getServerPort, getServletConnection, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, removeAttribute, setAttribute, setCharacterEncoding, setCharacterEncoding, startAsync, startAsync`

### Methods inherited from interface org.apache.sling.api.SlingJakartaHttpServletRequest

`getAuthType, getRemoteUser, getUserPrincipal`

## Constructor Details

### RequestWrapper

public RequestWrapper(org.apache.sling.api.SlingJakartaHttpServletRequest wrappedRequest, Set<org.apache.sling.api.resource.type.ResourceType> wiredResourceTypes)

## Method Details

### getRequestDispatcher

public jakarta.servlet.RequestDispatcher getRequestDispatcher(org.apache.sling.api.resource.Resource resource, org.apache.sling.api.request.RequestDispatcherOptions options)

Specified by:
  `getRequestDispatcher` in interface `org.apache.sling.api.SlingJakartaHttpServletRequest`
Overrides:
  `getRequestDispatcher` in class `org.apache.sling.api.wrappers.SlingJakartaHttpServletRequestWrapper`

### getRequestDispatcher

public jakarta.servlet.RequestDispatcher getRequestDispatcher(String path, org.apache.sling.api.request.RequestDispatcherOptions options)

Specified by:
  `getRequestDispatcher` in interface `org.apache.sling.api.SlingJakartaHttpServletRequest`
Overrides:
  `getRequestDispatcher` in class `org.apache.sling.api.wrappers.SlingJakartaHttpServletRequestWrapper`